Package org.apache.commons.imaging.color

# Class ColorXyz

java.lang.Object
org.apache.commons.imaging.color.ColorXyz

public final class ColorXyz extends Object
Represents a color in the CIE 1931 color space, also known as XYZ color space.

Contains the constant values for black, white, red, green, and blue.

Since:
  1.0-alpha1
See Also:
  - https://en.wikipedia.org/wiki/CIE_1931_color_space

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ColorXyz`
  `BLACK`
  A constant for color black.
  `static final ColorXyz`
  `BLUE`
  A constant for color blue.
  `static final ColorXyz`
  `GREEN`
  A constant for color green.
  `static final ColorXyz`
  `RED`
  A constant for color red.
  `static final ColorXyz`
  `WHITE`
  A constant for color white.
  `final double`
  `x`
  `final double`
  `y`
  `final double`
  `z`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColorXyz(double x, double y, double z)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### BLACK

    public static final ColorXyz BLACK
    A constant for color black. Color components are:

             X: 0
             Y: 0
             Z: 0

  - ### WHITE

    public static final ColorXyz WHITE
    A constant for color white. Color components are:

             X:  95.05
             Y: 100.00
             Z: 108.90

  - ### RED

    public static final ColorXyz RED
    A constant for color red. Color components are:

             X: 41.24
             Y: 21.26
             Z:  1.93

  - ### GREEN

    public static final ColorXyz GREEN
    A constant for color green. Color components are:

             X: 35.76
             Y: 71.52
             Z: 11.92

  - ### BLUE

    public static final ColorXyz BLUE
    A constant for color blue. Color components are:

             X: 18.05
             Y:  7.22
             Z: 95.05

  - ### x

    public final double x

  - ### y

    public final double y

  - ### z

    public final double z

- ## Constructor Details

  - ### ColorXyz

    public ColorXyz(double x, double y, double z)

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`